'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var shared = require('@vue/shared');

function normalizeOption(option) {
  var _a, _b;
  return shared.isObject(option) ? ((_a = option.label) != null ? _a : option.label = option.value, (_b = option.value) != null ? _b : option.value = option.label, option) : { label: option, value: option };
}
function normalizeOptions(options) {
  return options.map(normalizeOption);
}
function mapOptions(options, cb) {
  return options.map((e) => cb(normalizeOption(e)));
}

exports.mapOptions = mapOptions;
exports.normalizeOption = normalizeOption;
exports.normalizeOptions = normalizeOptions;
