'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Calendar = require('./Calendar.js');
var RangeCalendar = require('./RangeCalendar.js');

Calendar.DateCalendar.install = (app) => {
  app.component(Calendar.DateCalendar.name, Calendar.DateCalendar);
};

exports.Calendar = Calendar.DateCalendar;
exports.DateCalendar = Calendar.DateCalendar;
exports.MonthCalendar = Calendar.MonthCalendar;
exports.YearCalendar = Calendar.YearCalendar;
exports["default"] = Calendar.DateCalendar;
exports.RangeCalendar = RangeCalendar;
