import { ref, watch } from 'vue';

function useMemo(getValue) {
  const cacheRef = ref();
  watch(getValue, (val) => cacheRef.value = val, { immediate: true });
  return cacheRef;
}

export { useMemo as default };
