import '@vue/runtime-core'

declare module '@vue/runtime-core' {
  export interface GlobalComponents {
    XA: typeof import('x-ui-vue3')['A']
    XAnchor: typeof import('x-ui-vue3')['Anchor']
    XAnchorLink: typeof import('x-ui-vue3')['AnchorLink']
    XBlockquote: typeof import('x-ui-vue3')['Blockquote']
    XButton: typeof import('x-ui-vue3')['Button']
    XCalendar: typeof import('x-ui-vue3')['Calendar']
    XCard: typeof import('x-ui-vue3')['Card']
    XCheckbox: typeof import('x-ui-vue3')['Checkbox']
    XCheckboxGroup: typeof import('x-ui-vue3')['CheckboxGroup']
    XCode: typeof import('x-ui-vue3')['Code']
    XDatePicker: typeof import('x-ui-vue3')['DatePicker']
    XDragResize: typeof import('x-ui-vue3')['DragResize']
    XDrawer: typeof import('x-ui-vue3')['Drawer']
    XDropdown: typeof import('x-ui-vue3')['Dropdown']
    XExpandTransition: typeof import('x-ui-vue3')['ExpandTransition']
    XForm: typeof import('x-ui-vue3')['Form']
    XFormItem: typeof import('x-ui-vue3')['FormItem']
    XIcon: typeof import('x-ui-vue3')['Icon']
    XImage: typeof import('x-ui-vue3')['Image']
    XInput: typeof import('x-ui-vue3')['Input']
    XInputSearch: typeof import('x-ui-vue3')['InputSearch']
    XMenu: typeof import('x-ui-vue3')['Menu']
    XModal: typeof import('x-ui-vue3')['Modal']
    XPopover: typeof import('x-ui-vue3')['Popover']
    XProgress: typeof import('x-ui-vue3')['Progress']
    XRadio: typeof import('x-ui-vue3')['Radio']
    XRadioGroup: typeof import('x-ui-vue3')['RadioGroup']
    XRate: typeof import('x-ui-vue3')['Rate']
    XSelect: typeof import('x-ui-vue3')['Select']
    XSimpleTable: typeof import('x-ui-vue3')['SimpleTable']
    XSlider: typeof import('x-ui-vue3')['Slider']
    XSpace: typeof import('x-ui-vue3')['Space']
    XSwitch: typeof import('x-ui-vue3')['Switch']
    XTable: typeof import('x-ui-vue3')['Table']
    XTabPane: typeof import('x-ui-vue3')['TabPane']
    XTabs: typeof import('x-ui-vue3')['Tabs']
    XTag: typeof import('x-ui-vue3')['Tag']
    XTooltip: typeof import('x-ui-vue3')['Tooltip']
    XVirtualList: typeof import('x-ui-vue3')['VirtualList']
    XWindow: typeof import('x-ui-vue3')['Window']
  }
  export interface ComponentCustomProperties {
    vAcrylic: typeof import('x-ui-vue3')['Acrylic']
    vBorderLight: typeof import('x-ui-vue3')['BorderLight']
    vSkeleton: typeof import('x-ui-vue3')['Skeleton']
    vSkeletonItem: typeof import('x-ui-vue3')['SkeletonItem']
    vSunken: typeof import('x-ui-vue3')['Sunken']
    $notification: typeof import('x-ui-vue3')['Notification']
    $message: typeof import('x-ui-vue3')['Message']
  }
}
