import { MaybeRef } from '@vueuse/core';
import { Ref } from 'vue';
type DraggableOptions = Partial<{
    dragTarget: MaybeRef<HTMLElement>;
    onDragStart: (e: MouseEvent | TouchEvent) => void;
    onDragging: (e: MouseEvent | TouchEvent) => void;
    onDragEnd: (e?: MouseEvent | TouchEvent) => void;
    x: Ref<number>;
    y: Ref<number>;
}>;
export default function useDraggable(el: MaybeRef<HTMLElement>, options?: DraggableOptions): {
    enable: (bool: boolean) => void;
    reset: () => void;
};
export {};
