type sn = string | number;
export type Option = {
    label: sn;
    value: sn;
} & Record<string, any>;
export type WillOption = sn | Partial<Option>;
export declare function normalizeOption(option: WillOption): Option;
export declare function normalizeOptions(options: WillOption[]): Option[];
export declare function mapOptions<T>(options: WillOption[], cb: (opt: Option) => T): T[];
export {};
