import { PropType, VNodeChild } from 'vue';
import { Arrayable } from '@vueuse/core';
import moment, { Moment } from 'moment';
export declare const DateCalendar: import("vue").DefineComponent<{
    value: PropType<Arrayable<moment.Moment>>;
    range: PropType<moment.Moment[]>;
    disabledDate: PropType<(date: Moment) => boolean>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:value"[], "update:value", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: PropType<Arrayable<moment.Moment>>;
    range: PropType<moment.Moment[]>;
    disabledDate: PropType<(date: Moment) => boolean>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
}>> & {
    "onUpdate:value"?: (...args: any[]) => any;
}, {}>;
export declare const MonthCalendar: import("vue").DefineComponent<{
    value: PropType<Arrayable<moment.Moment>>;
    range: PropType<moment.Moment[]>;
    display: PropType<moment.Moment>;
    disabledDate: PropType<(date: Moment) => boolean>;
    cell: PropType<(date: Moment) => VNodeChild>;
    yearCell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: PropType<Arrayable<moment.Moment>>;
    range: PropType<moment.Moment[]>;
    display: PropType<moment.Moment>;
    disabledDate: PropType<(date: Moment) => boolean>;
    cell: PropType<(date: Moment) => VNodeChild>;
    yearCell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
}>>, {}>;
export declare const YearCalendar: import("vue").DefineComponent<{
    value: PropType<Arrayable<moment.Moment>>;
    range: PropType<moment.Moment[]>;
    display: PropType<moment.Moment>;
    disabledDate: PropType<(date: Moment) => boolean>;
    cell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    value: PropType<Arrayable<moment.Moment>>;
    range: PropType<moment.Moment[]>;
    display: PropType<moment.Moment>;
    disabledDate: PropType<(date: Moment) => boolean>;
    cell: PropType<(date: Moment) => VNodeChild>;
    onSelect: PropType<(date: Moment) => void>;
    onHover: PropType<(date: Moment) => void>;
}>>, {}>;
