import { PropType, ExtractPropTypes } from 'vue';
export declare const expandTransitionProps: {
    appear: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    height: {
        type: (FunctionConstructor | NumberConstructor)[];
        default: number;
    };
    width: (FunctionConstructor | NumberConstructor)[];
    widthProp: {
        type: StringConstructor;
        default: string;
    };
    heightProp: {
        type: StringConstructor;
        default: string;
    };
    scheduler: PropType<(fn: (el?: HTMLElement) => void) => void>;
};
export type ExpandTransitionProps = ExtractPropTypes<typeof expandTransitionProps>;
declare const ExpandTransition: import("vue").DefineComponent<{
    appear: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    height: {
        type: (FunctionConstructor | NumberConstructor)[];
        default: number;
    };
    width: (FunctionConstructor | NumberConstructor)[];
    widthProp: {
        type: StringConstructor;
        default: string;
    };
    heightProp: {
        type: StringConstructor;
        default: string;
    };
    scheduler: PropType<(fn: (el?: HTMLElement) => void) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    appear: BooleanConstructor;
    name: {
        type: StringConstructor;
        default: string;
    };
    height: {
        type: (FunctionConstructor | NumberConstructor)[];
        default: number;
    };
    width: (FunctionConstructor | NumberConstructor)[];
    widthProp: {
        type: StringConstructor;
        default: string;
    };
    heightProp: {
        type: StringConstructor;
        default: string;
    };
    scheduler: PropType<(fn: (el?: HTMLElement) => void) => void>;
}>>, {
    name: string;
    height: number | Function;
    appear: boolean;
    widthProp: string;
    heightProp: string;
}>;
export default ExpandTransition;
