import { ExtractPropTypes, PropType } from 'vue';
import { FormRules } from './interface';
declare const formProps: {
    prefixCls: {
        default: string;
    };
    model: ObjectConstructor;
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    labelWidth: NumberConstructor;
    rules: PropType<FormRules>;
};
export type FormProps = ExtractPropTypes<typeof formProps>;
declare const _default: import("vue").DefineComponent<{
    prefixCls: {
        default: string;
    };
    model: ObjectConstructor;
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    labelWidth: NumberConstructor;
    rules: PropType<FormRules>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    prefixCls: {
        default: string;
    };
    model: ObjectConstructor;
    layout: {
        type: PropType<"vertical" | "horizontal">;
        default: string;
    };
    labelWidth: NumberConstructor;
    rules: PropType<FormRules>;
}>>, {
    prefixCls: string;
    layout: "vertical" | "horizontal";
}>;
export default _default;
