import { ExtractPropTypes, InjectionKey, VNodeChild, PropType, Ref } from 'vue';
import { Value } from './interface';
export declare const submenuProps: {
    label: PropType<VNodeChild>;
    value: PropType<Value>;
    children: PropType<(import("./interface").MenuOptionBase | import("./interface").MenuGroupOptionBase)[]>;
    icon: PropType<VNodeChild | (() => VNodeChild)>;
    disabled: BooleanConstructor;
};
export type SubmenuProps = ExtractPropTypes<typeof submenuProps>;
export type SubmenuContextProps = {
    props: SubmenuProps;
    paddingLeftRef: Ref<number>;
};
export declare const SubmenuContextKey: InjectionKey<SubmenuContextProps>;
declare const _default: import("vue").DefineComponent<{
    label: PropType<VNodeChild>;
    value: PropType<Value>;
    children: PropType<(import("./interface").MenuOptionBase | import("./interface").MenuGroupOptionBase)[]>;
    icon: PropType<VNodeChild | (() => VNodeChild)>;
    disabled: BooleanConstructor;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<ExtractPropTypes<{
    label: PropType<VNodeChild>;
    value: PropType<Value>;
    children: PropType<(import("./interface").MenuOptionBase | import("./interface").MenuGroupOptionBase)[]>;
    icon: PropType<VNodeChild | (() => VNodeChild)>;
    disabled: BooleanConstructor;
}>>, {
    disabled: boolean;
}>;
export default _default;
