import type { PropType, VNodeChild } from 'vue';
type SizeType = 'small' | 'medium' | 'large';
type TypeEmnu = 'default' | 'primary' | 'info' | 'success' | 'warning' | 'error';
declare const Tag: import("vue").DefineComponent<{
    closable: BooleanConstructor;
    closeIcon: (ObjectConstructor | StringConstructor)[];
    color: StringConstructor;
    icon: PropType<VNodeChild>;
    round: BooleanConstructor;
    bordered: BooleanConstructor;
    nowrap: BooleanConstructor;
    size: {
        type: PropType<SizeType>;
        default: string;
    };
    type: {
        type: PropType<TypeEmnu>;
        default: string;
    };
    onClose: FunctionConstructor;
}, (vm: any) => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "close"[], "close", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    closable: BooleanConstructor;
    closeIcon: (ObjectConstructor | StringConstructor)[];
    color: StringConstructor;
    icon: PropType<VNodeChild>;
    round: BooleanConstructor;
    bordered: BooleanConstructor;
    nowrap: BooleanConstructor;
    size: {
        type: PropType<SizeType>;
        default: string;
    };
    type: {
        type: PropType<TypeEmnu>;
        default: string;
    };
    onClose: FunctionConstructor;
}>> & {
    onClose?: (...args: any[]) => any;
}, {
    type: TypeEmnu;
    round: boolean;
    size: SizeType;
    bordered: boolean;
    closable: boolean;
    nowrap: boolean;
}>;
export default Tag;
