import { PropType, StyleValue } from 'vue';
import { MaybeRef } from '@vueuse/core';
import { DisplayDirectiveType } from '../_internal/display-directive';
import type { AlignType, TargetPoint } from '../align/interface';
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    visible: BooleanConstructor;
    getClassNameFromAlign: FunctionConstructor;
    getRootDomNode: PropType<() => HTMLElement>;
    align: PropType<MaybeRef<AlignType>>;
    displayDirective: PropType<DisplayDirectiveType>;
    getContainer: FunctionConstructor;
    transition: PropType<import("vue").FunctionalComponent<import("vue").TransitionProps, {}>>;
    transitionName: StringConstructor;
    mask: BooleanConstructor;
    maskTransitionName: StringConstructor;
    zIndex: NumberConstructor;
    popupClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    popupStyle: PropType<StyleValue>;
    disabledAlign: PropType<MaybeRef<Boolean>>;
    disabledAlignInTransiting: PropType<MaybeRef<Boolean>>;
    point: PropType<TargetPoint>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "align"[], "align", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: StringConstructor;
    visible: BooleanConstructor;
    getClassNameFromAlign: FunctionConstructor;
    getRootDomNode: PropType<() => HTMLElement>;
    align: PropType<MaybeRef<AlignType>>;
    displayDirective: PropType<DisplayDirectiveType>;
    getContainer: FunctionConstructor;
    transition: PropType<import("vue").FunctionalComponent<import("vue").TransitionProps, {}>>;
    transitionName: StringConstructor;
    mask: BooleanConstructor;
    maskTransitionName: StringConstructor;
    zIndex: NumberConstructor;
    popupClass: (ObjectConstructor | ArrayConstructor | StringConstructor)[];
    popupStyle: PropType<StyleValue>;
    disabledAlign: PropType<MaybeRef<Boolean>>;
    disabledAlignInTransiting: PropType<MaybeRef<Boolean>>;
    point: PropType<TargetPoint>;
}>> & {
    onAlign?: (...args: any[]) => any;
}, {
    mask: boolean;
    visible: boolean;
}>;
export default _default;
