'use strict';

var vue = require('vue');

function useMemo(getValue) {
  const cacheRef = vue.ref();
  vue.watch(getValue, (val) => cacheRef.value = val, { immediate: true });
  return cacheRef;
}

module.exports = useMemo;
