'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _interface = require('./interface.js');
var skeleton = require('./skeleton.js');
var skeletonItem = require('./skeleton-item.js');
require('./style/index.js');

skeleton["default"].install = (app) => {
  app.directive(_interface.name, skeleton["default"]);
  app.directive(`${_interface.name}-item`, skeletonItem);
};

exports.Skeleton = skeleton["default"];
exports["default"] = skeleton["default"];
exports.SkeletonItem = skeletonItem;
