import { createVNode } from 'vue';

var Steps = (_, {
  attrs
}) => {
  const {
    prefixCls,
    marks = []
  } = attrs;
  const dotsNode = Object.keys(marks).map((num) => {
    const dotProps = {
      class: `${prefixCls}_dot`,
      style: {
        left: `${num}%`
      },
      key: num
    };
    return createVNode("span", dotProps, null);
  });
  return createVNode("div", {
    "class": `${prefixCls}_steps`
  }, [dotsNode]);
};

export { Steps as default };
