export declare function castArray<T>(val: T | T[]): T[];
export declare function get(obj: Record<string, any>, path: string | Array<string | number>): Record<string, any>;
export declare function set(obj: Record<string, any>, path: string | Array<string | number>, val: any): Record<string, any>;
export declare function property(path: any): (obj: any) => Record<string, any>;
export declare function keyBy(arr: Array<any>, iteratee: string | ((item: any) => string)): object;
export declare function omit<T, K extends keyof T>(obj: T, path: K | K[]): Omit<T, K>;
export declare function cloneDeep(obj: any): any;
export declare function throttle<T extends Function>(fn: T, wait: any): T & {
    cancel(): any;
};
