import { PropType } from 'vue';
import type { AlignType, AlignResult, TargetType } from './interface';
import { MaybeRef } from '@vueuse/core';
type OnAlign = (source: HTMLElement, result: AlignResult) => void;
declare const _default: import("vue").DefineComponent<{
    align: PropType<MaybeRef<AlignType>>;
    target: PropType<TargetType>;
    onAlign: PropType<OnAlign>;
    disabled: PropType<MaybeRef<Boolean>>;
    resizeObservable: {
        type: PropType<MaybeRef<Boolean>>;
        default: boolean;
    };
}, () => import("vue").VNode<import("vue").RendererNode, import("vue").RendererElement, {
    [key: string]: any;
}>, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    align: PropType<MaybeRef<AlignType>>;
    target: PropType<TargetType>;
    onAlign: PropType<OnAlign>;
    disabled: PropType<MaybeRef<Boolean>>;
    resizeObservable: {
        type: PropType<MaybeRef<Boolean>>;
        default: boolean;
    };
}>>, {
    resizeObservable: MaybeRef<Boolean>;
}>;
export default _default;
