import { PropType } from 'vue';
import { Arrayable } from '@vueuse/core';
import { Moment, MomentInput } from 'moment';
export type PickerType = 'year' | 'month' | 'date' | 'daterange' | 'monthrange';
export declare const PickerProps: {
    value: PropType<Arrayable<MomentInput>>;
    type: {
        type: PropType<PickerType>;
        default: string;
    };
    clearable: {
        default: boolean;
    };
    disabled: BooleanConstructor;
    disabledDate: PropType<(date: Moment) => boolean>;
    placeholder: {
        type: PropType<Arrayable<string>>;
        default: string;
    };
    format: {
        default: string;
    };
    valueFormat: StringConstructor;
};
