import { PropType } from 'vue';
import { Arrayable } from '@vueuse/core';
export type Autosize = boolean | Partial<{
    minRows: number;
    maxRows: number;
}>;
declare const _default: {
    value: PropType<Arrayable<string>>;
    placeholder: PropType<Arrayable<string>>;
    type: StringConstructor;
    disabled: BooleanConstructor;
    prefix: StringConstructor;
    suffix: StringConstructor;
    addonBefore: StringConstructor;
    addonAfter: StringConstructor;
    pair: BooleanConstructor;
    separator: {
        type: StringConstructor;
        default: string;
    };
    autofocus: BooleanConstructor;
    clearable: BooleanConstructor;
    autosize: PropType<Autosize>;
};
export default _default;
