import type { PropType } from 'vue';
import { Option } from '../../_util/normalizeOptions';
declare const _default: import("vue").DefineComponent<{
    prefixCls: StringConstructor;
    values: PropType<Option[]>;
    searchValue: StringConstructor;
    multiple: BooleanConstructor;
    showArrow: BooleanConstructor;
    filterable: BooleanConstructor;
    clearable: BooleanConstructor;
    disabled: BooleanConstructor;
    placeholder: StringConstructor;
    inputRef: {
        default: () => import("vue").Ref<HTMLInputElement>;
    };
    onSelect: FunctionConstructor;
    onSearch: FunctionConstructor;
    onToggleOpen: FunctionConstructor;
    onFocus: PropType<(e: FocusEvent) => void>;
    onBlur: PropType<(e: FocusEvent) => void>;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    prefixCls: StringConstructor;
    values: PropType<Option[]>;
    searchValue: StringConstructor;
    multiple: BooleanConstructor;
    showArrow: BooleanConstructor;
    filterable: BooleanConstructor;
    clearable: BooleanConstructor;
    disabled: BooleanConstructor;
    placeholder: StringConstructor;
    inputRef: {
        default: () => import("vue").Ref<HTMLInputElement>;
    };
    onSelect: FunctionConstructor;
    onSearch: FunctionConstructor;
    onToggleOpen: FunctionConstructor;
    onFocus: PropType<(e: FocusEvent) => void>;
    onBlur: PropType<(e: FocusEvent) => void>;
}>>, {
    disabled: boolean;
    clearable: boolean;
    multiple: boolean;
    showArrow: boolean;
    filterable: boolean;
    inputRef: import("vue").Ref<HTMLInputElement>;
}>;
export default _default;
